<?php

function localdirectory_sanitize_checkbox( $input ) {
    if ( true === $input ) {
        return 1;
     } else {
        return 0;
     }
}
function localdirectory_sanitize_url( $url ) {
  return esc_url_raw( $url );
}


if (!function_exists('localdirectory_get_categories_select')):
    function localdirectory_get_categories_select()
    {
        $localdirectory_categories = get_categories();
        $results = [];

        if (!empty($localdirectory_categories)):
            $results[''] = __('Select Category', 'localdirectory');
            foreach ($localdirectory_categories as $result) {
                $results[$result->slug] = $result->name;
            }
        endif;
        return $results;
    }
endif;

function localdirectory_sanitize_select($input, $setting)
{
    $input = sanitize_key($input);

    $choices = $setting->manager->get_control($setting->id)->choices;

    return array_key_exists($input, $choices) ? $input : $setting->default;
}
